Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.builders.impl
Class GPRequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.therlink.builders.impl.AbstractRequestObjectBuilderImpl
          be.ehealth.businessconnector.therlink.builders.impl.GPRequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder

Deprecated.

    @Deprecated
    public final class GPRequestObjectBuilderImpl

extends AbstractRequestObjectBuilderImpl

Implementation of `AbstractRequestObjectBuilderImpl` for General Practicioner. Deprecated : use implementation be.ehealth.businessconnector.therlink.builders.impl.GenericRequestObjectBuilder instead. Extends : `AbstractRequestObjectBuilderImpl`.

Field Summary

Fields inherited from interface be.ehealth.businessconnector.therlink.builders.RequestObjectBuilder
`MAXROWS_DEFAULT, MAXROWS_PROPERTY_KEY, PROP_HCP_TYPE`

Constructor Summary
`GPRequestObjectBuilderImpl()` Deprecated.

Method Summary
`List<HcParty>` | `getAuthorHcParties()` Deprecated. Abstract method that should be implemented by each class that extends `AbstractRequestObjectBuilderImpl` to retrieve the Author HcParties

Methods inherited from class be.ehealth.businessconnector.therlink.builders.impl.AbstractRequestObjectBuilderImpl
`createGetTherapeuticLinkRequest, createGetTherapeuticLinkRequest, createHasTherapeuticLinkRequest, createPutTherapeuticLinkRequest, createPutTherapeuticLinkRequest, createPutTherapeuticLinkRequest, createRevokeTherapeuticLinkRequest, createRevokeTherapeuticLinkRequest, createRevokeTherapeuticLinkRequest, createRevokeTherapeuticLinkRequestWithProof, getConfig, getEnduserHcpType, getMaxRows, setConfig, validateMaxRowsValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPRequestObjectBuilderImpl

    public GPRequestObjectBuilderImpl()
                               throws TherLinkBusinessConnectorException,
                                      TechnicalConnectorException,
                                      InstantiationException

  Deprecated.
  Throws:
    `TherLinkBusinessConnectorException` - if config file could not been retrieved
    `TechnicalConnectorException` - if config file could not been retrieved
    `InstantiationException` - if a property is missing from config file

Method Detail

### getAuthorHcParties

    public List<HcParty> getAuthorHcParties()
                                     throws TechnicalConnectorException,
                                            TherLinkBusinessConnectorException,
                                            InstantiationException

  Deprecated.
  Description copied from class: `AbstractRequestObjectBuilderImpl`
  Abstract method that should be implemented by each class that extends
  `AbstractRequestObjectBuilderImpl` to retrieve the Author HcParties

  Specified by:
    `getAuthorHcParties` in interface `RequestObjectBuilder`
  Specified by:
    `getAuthorHcParties` in class `AbstractRequestObjectBuilderImpl`
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.